<script>
  import {scaleLog} from 'd3-scale';
  import {axisBottom} from "d3-axis";
  import {select} from "d3-selection";
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];
  let logScaler = scaleLog().domain([1, 10]).range([0, innerWidth]);
  let axis = axisBottom(logScaler);

  
  function addAxis(){
    axis(select("#axis"));
  }

</script>


<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}
      <circle fill="skyblue" cx={logScaler(value)} cy={innerHeight/2} r=10 />
    {/each}
  </g>
  <g id="axis" transform="translate({margin.left}, {height-5*margin.top})" use:addAxis>
  </g>
  <text  x="{innerWidth/2}" y="{height-margin.top}">currentcolor</text>
</svg>

<style>
  text {
    font-size: small;
  }
</style>